Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Upgraden 8.0.4.3 server lukt niet.  (gelezen 1052 keer)

Offline John K

  • Lid
  • Steunpunt: Nee
Upgraden 8.0.4.3 server lukt niet.
« Gepost op: 2009/10/23, 19:02:55 »
Wanneer ik mijn server 8.04.3 wil upgraden via synaptic (heb Xubuntu desktop geinstalleerd op server, ik weet het; heel fout) krijg ik het volgende;

E: /var/cache/apt/archives/linux-headers-2.6.24-25_2.6.24-25.63_all.deb: error creating directory `./usr/src/linux-headers-2.6.24-25/include/asm-arm/arch-shark'

dan in terminal;

:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
  linux-headers-2.6.24-25-generic: Depends: linux-headers-2.6.24-25 but it is not installed
E: Unmet dependencies. Try using -f.





~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  linux-headers-2.6.24-24-generic libgnome-media0 gnome-cards-data
  libgtksourceview1.0-0 metacity-common libggzmod4 gnome-media-common
  guile-1.6-libs libggz2 libecal1.2-7 libgtksourceview-common libqthreads-12
  gnome-games-data apturl libebook1.2-9 libmetacity0 libggzcore9
  python-gnome2-desktop libguile-ltdl-1 linux-headers-2.6.24-24
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  linux-headers-2.6.24-25
The following NEW packages will be installed:
  linux-headers-2.6.24-25
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
E: Could not get lock /var/cache/apt/archives/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the download directory


Ik heb gezocht op the web, maar kan niets vinden.

Heeft iemand een idee?

John K

Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Re: Upgraden 8.0.4.3 server lukt niet.
« Reactie #1 Gepost op: 2009/10/23, 19:51:12 »
Ja, ik moet gelijk denken aan twee instanties van Synaptic die openstaan, of dat de Update Manager al draait en je Synaptic probeert te starten of probeert te apt-getten terwijl Synaptic of de Update Manager ook al draaien. En dat je er Xubuntu op hebt gezet is toch helemaal geen probleem? Als je server maar goed draait en goed afgeschermd is van de de buitenwereld zodat er geen rare dingen mee en op kunnen gebeuren.

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: Upgraden 8.0.4.3 server lukt niet.
« Reactie #2 Gepost op: 2009/10/23, 20:41:53 »
E: Could not get lock /var/cache/apt/archives/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the download directory

kijk hier eens naar:
http://www.dedyisn.net/2008/12/could-not-get-lock/

grj


« Laatst bewerkt op: 2009/10/23, 20:54:59 door joop905 »

Offline John K

  • Lid
  • Steunpunt: Nee
Re: Upgraden 8.0.4.3 server lukt niet.
« Reactie #3 Gepost op: 2009/10/24, 15:42:02 »
Perfect, dank jullie wel!

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: Upgraden 8.0.4.3 server lukt niet.
« Reactie #4 Gepost op: 2009/10/24, 22:09:33 »
Zet even bij de titel: (Opgelost). zie ook hier:
http://forum.ubuntu-nl.org/index.php/topic,37125.0.html

Grj.